Bug 1018845 - [amqp1.0] subscription queue shall not be auto-delete when using reliable link
[amqp1.0] subscription queue shall not be auto-delete when using reliable link
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
unspecified Severity medium
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-10-14 10:00 EDT by Petr Matousek
Modified: 2015-01-21 07:56 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:56:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5232 None None None Never

  None (edit)
Description Petr Matousek 2013-10-14 10:00:04 EDT
Description of problem:

According to documentation:
"If the reliability is set to unreliable then an auto-deleted, exclusive queue is used meaning that if the client or connection fails messages may be lost. For exactly-once the queue is not set to be auto-deleted."

But the subscription queue created over amqp1.0 is marked auto-delete.

Version-Release number of selected component (if applicable):
qpid-cpp-*-0.22-19

How reproducible:
100%

Steps to Reproduce:
1. ./qc2_drain -f --connection-options "{protocol: 'amqp1.0'}" 'amq.direct;{link:{reliability:at-least-once}}'
2. qpid-config queues
3. the subscription queue is auto-delete

Actual results:
subscription queue for reliable receiving from exchange is exclusive and auto-delete

Expected results:
subscription queue for reliable receiving from exchange is exclusive, but not auto-delete

Additional info:
Comment 1 Gordon Sim 2013-10-15 09:07:20 EDT
Fixed upstream: https://svn.apache.org/r1532308

Note this also fixes https://bugzilla.redhat.com/show_bug.cgi?id=1019181
Comment 2 Petr Matousek 2013-10-22 05:42:48 EDT
This issue has been fixed. Verified on rhel6.4 (i386, x86_64).

packages used for testing:
qpid-cpp-*-0.22-20.el6

Note You need to log in before you can comment on or make changes to this bug.